Bug 150173 - Kernel panic: 2.6.10-1.766_FC3
Kernel panic: 2.6.10-1.766_FC3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-03 04:57 EST by Bojan Smojver
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 00:21:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2005-03-03 04:57:31 EST
Description of problem:

On shutdown, the kernel panics with the following output (hand typed, so there
could be errors):

[<c019cbb0>]: proc_kill_inodes+0x4f/0x16c
[<c019cfaa>]: remove_proc_entry+0x86/0xe4
[<e0afc91c>]: snmp6_unregister_dev+0x2f/0x3e [ipv6]
[<e0adef73>]: in6_dev_finish_destroy+0x70/0x7f [ipv6]
[<c02aa806>]: dst_destroy+0x60/0xa7
[<c02aa474>]: dst_run_gc+0xb0/ox199
[<c02aa3c4>]: dst_run_gc+0x0/0x199
[<c0124750>]: run_timer_softirq+0x1ff/0x2ff
[<c0120b59>]: __do_softirq+0x35/0x79
[<c0104edc>]: do_softirq+0x38/0x3f
========================
[<c0104e16>]: do_IRQ+0x70/0x7a
[<c01035b2>]: common_interrupt+0x1a/0x20
[<c0161e81>]: file_kill+0x8b/0x11a
[<c0161a44>]: __fput+0xa1/0xe7
[<c0151251>]: remove_vm_struct+0x10c/0x122
[<c0152bbb>]: unmap_vma_list+0xe/0x17
[<c0152f7e>]: do_munmap+0x1dc/0x1e6
[<c0152fd2>]: sys_munmap+0x4a/0x61
[<c0103443>]: syscall_call+0x7/0xb
Kernel panic - not syncing: fs/proc/generic.c:521:
spin_lock(fs/file_table.c:c03516d0) already locked by fs/file_table.c/204

Version-Release number of selected component (if applicable):

kernel-2.6.10-1.766_FC3

How reproducible:

Happened once so far.

Steps to Reproduce:
1. Shutdown the system
  
Actual results:
Kernel panics.

Expected results:
Shouldn't panic.

Additional info:
Athlon 1900+, 512 MB RAM, Asus A7M266 board, D-Link tulip based 2114x NIC,
Seagate 80 GB Baracuda, Nvidia Riva TNT graphics.
Comment 1 Bojan Smojver 2005-05-11 00:21:37 EDT
Haven't seen this with 2.6.11 series, so I'll close for now.

Note You need to log in before you can comment on or make changes to this bug.